Puzzle / Developers
API referenceInvoices

Update Invoice

PUT /company/{id}/invoices/{invoiceId}

PUT/company/{id}/invoices/{invoiceId}

Path Parameters

id*string

The company ID

Length1 <= length
invoiceId*string

The invoice ID

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/company/string/invoices/string" \  -H "Content-Type: application/json" \  -d '{    "status": "Deleted",    "issueDate": "string"  }'
{  "id": "string",  "customerId": "string",  "issueDate": "string",  "dueDate": "string",  "nativeId": "string",  "description": "string",  "amount": {    "amount": "string",    "currency": "str"  },  "documents": [    {      "file": {        "id": "string",        "filename": "string",        "contentType": "string",        "size": 0,        "isDeleted": true,        "downloadInfo": {          "signedUrl": "string",          "urlExpiresAt": "string"        },        "parseError": "string",        "parseType": "bill"      },      "uploadActorType": "SYSTEM_ACTOR"    }  ],  "lines": [    {      "id": "string",      "classifications": [        {          "class": "string",          "description": "string",          "segments": [            {              "id": "string",              "segment": "string",              "description": "string"            }          ]        }      ],      "amount": {        "amount": "string",        "currency": "str"      },      "coaKey": "string",      "quantity": "string",      "unitPrice": "string",      "productId": "string",      "description": "string",      "createdAt": "string",      "updatedAt": "string",      "removedAt": "string"    }  ],  "status": "Deleted",  "contractId": "string",  "createdAt": "string",  "updatedAt": "string",  "removedAt": "string"}

Schema refreshed 2026-11-11T18:57:48.657Z